Pages Menu
TwitterRssFacebook
Categories Menu

Posted by on Mar 8, 2015 in Compute, Infrastructure | 1 comment

vSphere 6 Upgrade Install Error NSX

vSphere6_NSX_Error

 

<CONFLICTING_VIBS ERROR: Vibs on the host are conflicting with vibs in metadata.  Remove the conflicting vibs or use Image Builder to create a customer ISO providing newer versions of the conflicting vibs.  [‘VMware_bootbank_esx-dvfiler-switch-security_5.5.0-0-0.2107100’, ‘VMware_bootbank_esx-vsip_5.5.0-0-0.2107100’, ‘VMware_bootbank_esx-vxlan_5.5.0-0-0.2107100’]>

I spent the day upgrading all my hosts to vSphere 6.0 from vSphere 5.5.  It felt right, it felt like it was time.  However, I must admit – I was not successful at first.  Did you check out the way wordy above? Yikes!

What I could make out from the upgrade error is there was something about the vSphere 6 upgrade that wasn’t jiving with NSX 6.1.2.  It appeared if I could “un-prep” this host then I could be on my way.  Fortunately, it is way easy to remove the VIBs that NSX installs during a host prep.

Once your host is back online, SSH to it and issue the following commands in bold:
~ # esxcli software vib remove -n esx-vxlan

Removal Result
Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.
Reboot Required: true
VIBs Installed:
VIBs Removed: VMware_bootbank_esx-vxlan_5.5.0-0.0.2107100
VIBs Skipped:
~ #
~ # esxcli software vib remove -n esx-dvfilter-switch-security
Removal Result
Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.
Reboot Required: true
VIBs Installed:
VIBs Removed: VMware_bootbank_esx-dvfilter-switch-security_5.5.0-0.0.2107100
VIBs Skipped:
~ # esxcli software vib remove -n esx-vsip
Removal Result
Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.
Reboot Required: true
VIBs Installed:
VIBs Removed: VMware_bootbank_esx-vsip_5.5.0-0.0.2107100
VIBs Skipped:

That’s it! Go ahead and start that the upgrade again!

PS I’m sure VMware will have better method of upgrading to vSphere 6 where NSX is installed.  However, us early adopters sometimes don’t get to ride on easy street.

1 Comment

  1. Thanks much for this post. I only had one vib to remove – different from all 3 in your post – but this process was spot on. Thanks again.

Trackbacks/Pingbacks

  1. vSphere 6.0 Link-O-Rama » Welcome to vSphere-land! - […] Pt. 9: SSL Templates (Derek Seaman) vSphere 6.0 Install Pt. 10: Install VCSA PSC (Derek Seaman) vSphere 6 Upgrade Install Error…

Post a Reply

Your email address will not be published. Required fields are marked *